# 5.0 中的重大改变

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/breaking-changes-5.0.html](https://www.elastic.co/guide/en/kibana/5.2/breaking-changes-5.0.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159462](http://www.apache.wiki/pages/viewpage.action?pageId=8159462)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

本节主要讨论在将应用程序迁移到 **Kibana 5.0 **时需要注意的改变。

### 针对 DEB/RPM 软件包的 URL 改变

细节 : 先前的 **`packages.elastic.co`** **URL** 已更改为 **`artifacts.elastic.co`**`。`

影响 : 确保在运行升级过程之前更新 **repository**（存储库）文件，否则您的操作系统可能看不到新的软件包。

### Kibana 默认绑定为 localhost

[Pull Request 8013](https://github.com/elastic/kibana/pull/8013)

细节 : 为了安全的目的，**Kibana**（如 **Elasticsearch**）现在绑定到 **localhost** 而不是 **0.0.0.0**（所有地址）。以前绑定到 **0.0.0.0** 也导致了 **Windows **用户的问题。

影响 : 如果在不允许 **localhost **绑定的容器/环境中运行 **Kibana**，这将导致 **Kibana **无法启动，除非在 **kibana.yml** 文件中配置 **server.host **为有效的 **IP** 地址/主机，等等。

### Markdown headers（标题）

[Pull Request 7855](https://github.com/elastic/kibana/pull/7855)

细节 : 作为解决 **Kibana** 产品中的安全问题[ ESA-2016-03](https://www.elastic.co/community/security)（**CVE-2016-1000220**）中的一部分，**markdown** 发生版本冲突。

影响 : 由于修复了 **ESA-2016-03**，**headers**（标题）的 **markdown **格式略有变化。

以前，标题是使用 `### `后紧跟标题定义的 : 

```
###Packetbeat:
   [Dashboard](/#/dashboard/Packetbeat-Dashboard)
   [Web transactions](/#/dashboard/HTTP)
```

它现在应该定义如下（＃和标题之间有一个空格）: 

```
### Packetbeat:
    [Dashboard](/#/dashboard/Packetbeat-Dashboard)
    [Web transactions](/#/dashboard/HTTP)
```

### Linux 软件包安装目录

[Pull Request 7308](https://github.com/elastic/kibana/pull/7308)

细节 : 为了与 **Elasticsearch **软件包一致，**Kibana** 现在会将二进制文件安装在 `**/usr/share/kibana**，并且`配置文件在 **`/etc/kibana`**。以前，他们都位于** `/opt/kibana`**。

影响 : 除了了解 **Kibana** 二进制文件和配置文件的新位置，您可能需要根据需要更新自动化脚本。

### 插件安装程序现在有自己的 executable（可执行的）命令

[Pull Request 6402](https://github.com/elastic/kibana/pull/6402)

细节 : 新的安装程序可以在 `**/bin/kibana-plugin** 找到`。当安装/删除 **Kibana **插件时，现在将调用`**kibana-plugin** `而不是主要的 **kibana** 脚本。

影响 : 您可能需要更新自动化脚本。

### 只有已列入白名单的客户端 header 才会发送到 Elasticsearch

[Pull Request 6896](https://github.com/elastic/kibana/pull/6896)

细节 : 从浏览器客户端到 **Elasticsearch **的唯一 **header** 是通过 **`elasticsearch.requestHeadersWhitelist `**服务器配置设置的。

影响 : 如果您依赖 **Elasticsearch **中的客户端 **header**，则需要在 **kibana.yml** 文件中将您指定的 **header** 列入白名单。

### `server.defaultRoute `现在总是有前缀 `server.basePath`

[Pull Request 6953](https://github.com/elastic/kibana/pull/6953)

细节 : 当访问 **default route**（默认路由）时，**base path**（基本路径）配置现在位于默认路由配置之前。

影响 : 如果你依靠 **`defaultRoute `**和 **`basePath` **`两者的`配置，你将需要从你的 **`defaultRoute` **`中删除``硬编码`**` **`basePath`**`**。

### 静态资源的目录列表不再渲染

[Pull Request 6764](https://github.com/elastic/kibana/pull/6764)

细节 : 如果您尝试访问目录，服务器不再显示静态文件列表。

影响 : 如果您之前依赖此行为，您将需要通过反向代理来显示基础目录列表。

### 控制台日志使用 UTC 格式显示日期/时间

[Pull Request 8534](https://github.com/elastic/kibana/pull/8534)

细节 : 所有服务器日志现在都以 **UTC **而不是服务器的本地时间显示。

影响 : 如果以自动方式解析 **Kibana **服务器日志的时间戳，请确保更新自动化以适应 **UTC **值。

### 平均列不再与标准差一起呈现

[Pull Request 7827](https://github.com/elastic/kibana/pull/7827)

细节 : 从 **Kibana** 的早期开始，向数据表添加标准差度量也导致将平均列添加到该数据表。现在不再是这样的。

影响 : 如果要在同一个数据表中同时具有标准偏差和平均值，则应像添加其他任何指标一样添加这两个列。

### 聚合的最小大小已从 0 更改为 1

[Pull Request 8339](https://github.com/elastic/kibana/pull/8339)

细节 : Elasticsearch 已删除为 **terms aggregations**（词条聚合）指定大小为 **0** 的功能，因此 **Kibana **的最小值已调整为更适合的了。

影响 : 任何依赖于 **size = 0 **的已保存可视化将需要更新。

### 5.0 之前创建的 dashboard（仪表盘）

细节 : 在 **Kibana 5.0** 中加载 **4.x** 仪表板会导致仪表板的元数据发生内部更改，您可以通过保存仪表板来保留此更改。

影响 : 此更改不会影响仪表板本身的功能，但必须在使用某些功能（如 **X-Pack **报告）之前保存仪表板。

### 使用先前已弃用的 Elasticsearch 功能保存的对象

细节 : 从 **Kibana 4.3** 开始，用户已经能够通过通用 **JSON **编辑器任意修改过滤器。如果用户以这种方式利用任何已弃用的 **Elasticsearch **功能，那么它们将在 **Kibana **中导致错误，因为它们已从 **Elasticsearch 5.0 **中删除。有关更多详细信息，请参阅 **Elasticsearch **文档。

影响 : **Discover**（发现），**Visualize**（可视化）和 **Dashboard**（仪表板）将对依赖于已删除的 Elasticsearch 功能的任何已保存对象都会发生错误。用户需要更新任何受影响的过滤器的 **JSON**。