# 创建可视化

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/createvis.html](https://www.elastic.co/guide/en/kibana/5.2/createvis.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159547](http://www.apache.wiki/pages/viewpage.action?pageId=8159547)

贡献者 : [stealthsYang](/display/~yangqin)，[那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

为了创建可视化 : 

  1.点击侧面导航的 **Visualize**（可视化）。

  2.选择可视化类型 : 

| [Area Charts（面积图）](/pages/viewpage.action?pageId=8159603) | 可视化几个不同组的总贡献。 |
| [Data Table（数据表）](/pages/viewpage.action?pageId=8159673) | 显示组合聚合的原始数据。 |
| [Line Charts（折线图）](/pages/viewpage.action?pageId=9404639) | 比较不同的组。 |
| [Markdown Widget（小部件）](/pages/viewpage.action?pageId=9404642) | 显示自由格式信息或说明。 |
| [Metric（度量）](/pages/viewpage.action?pageId=9404646) | 显示单个数字。 |
| [Pie Charts（饼图）](/pages/viewpage.action?pageId=8160289) | 显示每个资源相对全部的贡献。 |
| [Pie Charts（饼图）](/pages/viewpage.action?pageId=8160289) | 将单词显示为云，其中字的大小对应于其重要性。 |
| [Tile Maps（平铺地图）](/pages/viewpage.action?pageId=8160309) | 将聚合的结果与地理位置相关联。 |
| Timeseries | 计算和组合来自多个时间序列数据集的数据。 |
| [Vertical Bar Charts（垂直条形图）](/pages/viewpage.action?pageId=8159769) | 在条形图中绘制图形值。 |

  3.指定搜索查询以检索可视化的数据 : 

*   要输入新的搜索条件，请选择包含要显示数据的索引的索引模式。这将打开具有匹配所选索引中的所有文档的通配符查询的可视化构建器。

*   要从保存的搜索构建可视化，请单击要使用的已保存搜索的名称。这将打开可视化构建器并加载所选查询。

注意 :

从保存的搜索构建可视化文件时，对保存的搜索的任何后续修改将自动反映在可视化中。要禁用自动更新，您可以断开可视化与保存的搜索。

  4.在可视化构建器中，为可视化的 **Y **轴选择度量聚合 : 

*   [count](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-valuecount-aggregation.html)
*   [average](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-avg-aggregation.html)
*   [sum](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)
*   [min](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-min-aggregation.html)
*   [max](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-max-aggregation.html)
*   [unique count](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-cardinality-aggregation.html)
*   [median](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-aggregation.html)（50th percentile）
*   [percentiles](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-aggregation.html)
*   [percentile ranks](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-rank-aggregation.html)

  5.对于可视化X轴，选择一个存储桶聚合 : 

*   [date histogram](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-datehistogram-aggregation.html)
*   [range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-range-aggregation.html)
*   [terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-terms-aggregation.html)
*   [filters](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-filters-aggregation.html)
*   [significant terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-significantterms-aggregation.html)

例如，如果您正在索引 **Apache **服务器日志，则可以创建条形图，通过在 `**geo.src** `字段中指定 **terms**（词条）聚合来显示通过地理位置分配的传入请求 : 

![](/download/attachments/8159547/bar-terms-agg.jpg?version=1&modificationDate=1488358282000&api=v2)

上面图表中 **Y** 轴表示的不同的国家，**X** 轴显示的是对应的国家.

条形、线形或面积图表的可视化使用 **Y **轴的度量和 **X **轴的桶。桶的存储类似于 **sql group by**。饼图，运用 **slice size**（切片大小）的度量和切片大小数量的 **bucket**（桶）。

您可以通过指定子聚合来进一步分解数据。第一个聚合确定任何后续聚合的数据集。子聚合按顺序应用 - 您可以拖动聚合以更改其应用顺序。

例如，您可以在 `**geo.dest** `字段上添加 **terms**（词条）子聚合到原始国家条形图，以查看这些请求所针对的位置。

![](/download/attachments/8159547/bar-terms-subagg.jpg?version=1&modificationDate=1488360750000&api=v2)

有关使用子聚合的更多信息，请参阅 [Kibana, Aggregation Execution Order, and You](https://www.elastic.co/blog/kibana-aggregation-execution-order-and-you)。