# 使用 Debian Package 的方式安装 Kibana

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/deb.html](https://www.elastic.co/guide/en/kibana/5.2/deb.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159431](http://www.apache.wiki/pages/viewpage.action?pageId=8159431)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

这个针对 **Debian** 软件包的 **Kibana** 可以 [从我们的官网](https://www.elastic.co/guide/en/kibana/5.2/deb.html#install-deb) 或者 [APT 仓库](https://www.elastic.co/guide/en/kibana/5.2/deb.html#deb-repo) 下载。它可用于在任何像 **Debian** 和 **Ubuntu** 这种基于 **Debian** 系统的平台上安装 **Kibana**。

最新稳定版的 **Kibana** 可以在 [下载 Kibana](https://www.elastic.co/downloads/kibana) 页面中找到。其它版本可以在 [历史版本页面](https://www.elastic.co/downloads/past-releases) 中找到。

### 导入 Elastic PGP KEY

我们使用 **Elastic** **Signing** **Key**（**PGP** 密钥 **D88E42B4**，可从 [https://pgp.mit.edu](https://pgp.mit.edu) 获取）签名所有的软件版，指纹如下 : 

```
4609 5ACC 8548 582C 1A26 99A9 D27D 666C D88E 42B4
```

下载并且安装公共的签名密钥 : 

```
wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | sudo apt-key add -
```

### 从 APT 仓库安装

一开始您可能需要在 **Debian** 上安装 **apt-transport-https** 软件包 : 

```
sudo apt-get install apt-transport-https
```

保存这个仓库定义到 **/etc/apt/sources.list.d/elastic-5.x.list** : 

```
echo "deb https://artifacts.elastic.co/packages/5.x/apt stable main" | sudo tee -a /etc/apt/sources.list.d/elastic-5.x.list
```

警告 :

不要使用 **add-apt-repository**，因为它将添加一个 **deb-src entry**（条目），然而我们并没有提供源码包。如果您已经添加了 **deb-src entry**（条目），您将看到一个类似下面的错误 :

Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)

 从 **/etc/apt/sources.list** 中删除 **deb-src entry**（条目），然后再安装应该就可以如预期一样运行了。

您可以使用如下方式来安装 **Kibana Debina** 软件包 : 

```
sudo apt-get update && sudo apt-get install kibana
```

警告 :

如果同一个 **Kibana** 仓库存在两个 **entry**（条目），在执行 **apt-get update** 时将看到一个类似下面的错误 :

```
Duplicate sources.list entry https://artifacts.elastic.co/packages/5.x/apt/ ...`
```

检查 **/etc/apt/sources.list.d/kibana-5.x.list** 文件中重复的 **entry**（条目）或者在 **/etc/apt/sources.list.d/** 和 **/etc/apt/sources.list** 文件中的文件中找到重复的条目。

### 手动下载以及安装 Debian 软件包

针对 **Kibana v5.2.2** 的 **Debian** 软件包可以使用下面的命令从网站下载以及安装 : 

**64 位 : **

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-amd64.deb
sha1sum kibana-5.2.2-amd64.deb # 1
sudo dpkg -i kibana-5.2.2-amd64.deb
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.1-linux-x86_64.tar.gz.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |

**32 位 : **

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-i386.deb
sha1sum kibana-5.2.2-i386.deb # 1
sudo dpkg -i kibana-5.2.2-i386.deb
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.1-linux-x86_64.tar.gz.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |

### SysV init vs systemd

在安装之后 **Kibana** 并不会自动启动。如何去启动以及停止 **Kibana** 取决于系统是使用的 **SysV init** 还是 **systemd**（使用新的发行版）。您可以通过运行此命令来确定正在使用哪个 : 

```
ps -p 1
```

### 使用 SysV init 运行 Kibana

通过 **update-rc.d** 命令来配置 **Kibana** 以在系统启动时来自动运行 : 

```
sudo update-rc.d kibana defaults 95 10
```

可以使用 **service** 命令来启动或者停止 **Kibana** : 

```
sudo -i service kibana start
sudo -i service kibana stop
```

如果 **Kibana** 因任何原因不能启动，它将会打印失败的原因至 **STDOUT**。可以在 **/var/log/kibana** 中找到日志文件。

### 使用 systemd 运行 Kibana

为了配置 **Kibana** 在系统启动时来自动运行，运行如下命令 : 

```
sudo /bin/systemctl daemon-reload
sudo /bin/systemctl enable kibana.service
```

可以使用如下命令来启动或者停止 **Kibana** : 

```
sudo systemctl start kibana.service
sudo systemctl stop kibana.service
```

这些命令不提供关于 **Kibana** 是否成功启动的反馈。相反，这些信息将会写入位于 **/var/log/kibana/** 中的日志文件中。

### 通过配置文件配置 Kibana

默认情况下 **Kibana **从** /etc/kibana/kibana.yml **加载它的配置。此配置文件的格式在 [配置 Kibana](/pages/viewpage.action?pageId=8159438) 中进行了说明。

### Debian 软件包的目录布局

该 **Debian **软件包针对基于 **Debian** 的系统将配置文件，日志和数据目录放置在合适的位置 : 

| 类型 | 说明 | 默认位置 | 设置 |
| --- | --- | --- | --- |
| **home** | **Kibana** 主目录或者 `**$KIBANA_HOME**` | /usr/share/kibana |   |
| **bin** | 二进制脚本， 包括用于启动 **Kibana** **server** 的 **kibana** 和用于安装插件的 **`kibana-plugin`** | /usr/share/kibana/bin |   |
| **config** | 配置文件，包括 `**kibana.yml**。` | /etc/kibana |   |
| **data** | **Kibana** 以及它的插件写入磁盘的数据文件的位置。 | /var/lib/kibana |   |
| **optimize** | **Transpiled** 源代码。 某些管理操作（例如。插件安装）导致源代码被即时的 **retranspiled**。 | /usr/share/kibana/optimize |   |
| **plugins** | 插件文件位置. 每个插件将会包含在一个子目录中。 | /usr/share/kibana/plugins |   |