# Tile Maps（平铺地图）

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/tilemap.html](https://www.elastic.co/guide/en/kibana/5.2/tilemap.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160309](http://www.apache.wiki/pages/viewpage.action?pageId=8160309)

贡献者 : [stealthsYang](/display/~yangqin)，[那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

一个 **tile map**（平铺地图）显示覆盖由您指定的水桶确定的数据键入的圆圈的地理区域。

注意 :

默认情况下，**Kibana** 使用 **Elastic Tile Service** 来显示图块。为了使用其他的 **tile service providers**，可以在 **kibana.xml** 文件中配置 [tilemap settings](http://www.apache.wiki/pages/viewpage.action?pageId=8159438)。

tile map（平铺地图）的默认 **metric**（度量）聚合是 **count**（计数）聚合。 您可以选择以下任何聚合作为度量标准聚合 : 

**Count**

该_[count](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-valuecount-aggregation.html) _聚合返回所选择的索引模式中元素的原始数量。

**Average**

该聚合返回了数值字段的 _[average](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-avg-aggregation.html)_（平均值）。从下拉列表中选择字段。

**Sum**

该 _[sum ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)_聚合返回了数值字段的总和。从下拉列表中选择字段。

**Min**

该 _[min](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-min-aggregation.html)_[ ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)聚合返回了数值字段的最小值。从下拉列表中选择字段。

**Max**

该 _[max](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-max-aggregation.html)_ 聚合返回了数值字段的最大值。从下拉列表中选择字段。

**Unique Count**

该 _[cardinality](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-cardinality-aggregation.html) _聚合返回了字段的唯一值的数量。从下拉列表中选择字段。

在 **Custom** **Label**（自定义标签）字段中输入字符串以更改显示标签。

**buckets**（桶）聚合会确定从您的数据集中检索到哪些信息。

在选择 **buckets**（桶）聚合之前，请指定是在单个图表上分割图表还是将其显示为 **Geo Coordinates**（地理坐标）。 多重图表拆分必须在任何其他聚合之前运行。

**tile map**（平铺地图）使用 **Geohash** 聚合作为其初始聚合。 从下拉列表中选择一个通常是坐标的字段。 **Precision**（精度）滑块确定显示在地图上的结果的粒度。 有关由每个精度级别指定的区域的详细信息，请参阅 [geohash grid](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-geohashgrid-aggregation.html#_cell_dimensions_at_the_equator) 聚合的文档。 **Kibana** 支持最大的 **geohash** 长度为 **7**。

注意 :

更高的精度增加了显示 **Kibana** 以及底层 **Elasticsearch** 集群的浏览器的内存使用情况。

一旦指定了 **bucket**（桶） 聚合，就可以定义 ** sub-buckets**（子桶）用来细化可视化。**tile map**（平铺地图）仅仅支持 **split** **charts** 这样的 **Sub Aggregation**（子聚合）。 点击** + Add Sub Aggregation**（添加子聚合）以定义子聚合，然后选择 **Split Area**（拆分面积）或 **Split Chart**（拆分图表），然后从类型列表中选择聚合。

每个桶类型支持以下聚合 : 

**Date Histogram**

一个 _[date histogram](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-datehistogram-aggregation.html) _是由数值字段构成并按照日期进行组合，您可以为日期直方图设置秒、分钟、小时、天、周、月或者年为间隔指定时间范围。同时你也可以选择自定义作为间隔并在文本字段中来指定数字和时间单位来指定自定义间隔帧。自定义间隔时间单位为秒，**m** 为分钟，**h **为小时，**d **为天，**w **为周，**y **为年.不同的时间单位支持不同的精度，精度值可以低至于一秒钟。

**Histogram**

标准的 _[histogram](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-histogram-aggregation.html) _从数值字段构建。为此字段指定整数间隔。您选择 **Show empty buckets**（显示的空桶）复选框可以在直方图表中包含空白区域。

**Range**

使用 _[range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-range-aggregation.html) _聚合，您可以为数值字段的值指定范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**Date Range**

一个 _[date range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-daterange-aggregation.html) _聚合报告在您指定的日期范围内的值。您可以使用日期数学表达式指定日期的范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**IPv4 Range**

该 _[IPv4 range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-iprange-aggregation.html) _聚合可以指定IPv4地址范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**Terms**

一个 _[terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-terms-aggregation.html) _聚合使您能够指定要显示的给定字段的顶部或底部 **n** 个元素，按 **count **或自定义度量进行排序。

**Filters**

您可以为数据指定一组 **filter**（过滤器）。您可以将过滤器指定为 **query** **string**（查询字符串）或 **JSON** 格式，就像在我们在 **Discover search bar**（搜索栏）中的过滤是一样的。单击** Add Filter**（添加过滤器）以添加其他过滤器。单击 ![](/download/attachments/8160309/LC~Q%60XDH6LBF9S%60%60JLOE6XM.png?version=1&modificationDate=1490692969000&api=v2) **label** 标签按钮图标可以打开标签字段，您可以在其中输入您需要在可视化文件上显示的名称。

**Significant Terms**

展示_ [significant terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-significantterms-aggregation.html) _聚合实验性的结果。

**Geohash**

该 **geohash** 聚合根据 **geohash** 坐标显示点。

在 **Custom Label**（自定义标签）字段中输入字符串以更改显示标签。 

您可以单击 **Advanced**（高级）链接，以显示更多的自定义选项，用于衡量指标或存储段聚合 : 

**Exclude Pattern**

在此字段中指定要从结果中排除的模式。

**Include Pattern**

在当前字段中指定要包括在结果中的模式

**JSON Input**

一个文本字段，您可以在其中添加特定的JSON格式的属性以与聚合定义进行合并，如以下示例所示 : 

![](/download/attachments/8160309/QQ%E6%88%AA%E5%9B%BE20170303162321.png?version=1&modificationDate=1490692969000&api=v2)

注意 :

在 **Elasticsearch 1.4.3** 及更高版本中，此功能需要您启用 [动态Groovy脚本](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/modules-scripting.html)。

这些选项的可用性取决于您选择的聚合。

选择 **Options**（选项）标签以更改图表的以下方面 : 

**Map type**

从下拉列表中选择以下选项之一。

_Scaled Circle Markers_

根据度量汇总值缩放标记的大小。

__Shaded Circle Markers__

根据度量汇总的值显示具有不同色调的标记。

___Shaded Geohash Grid___

显示 **geohash **网格的矩形单元格而不是圆形标记，根据度量汇总的值显示不同的阴影。

____Heatmap____

热图将模糊应用于圆圈标记，并根据重叠量应用阴影。**Heatmaps **有以下选项 : 

*   *   **Radius**（半径）: 设置各个热图点的大小。
    *   **Blur**（模糊）: 设置热图点的模糊量。
    *   **Maximum** **zoom**（最大放大）: **Kibana** 中的 **Tile** **maps** 支持 **18 **个缩放级别。此滑块定义热图点以全强度显示的最大缩放级别。
    *   **Minimum** **opacity**（最小的不透明度）: 设置点的不透明度截止值。
    *   **Show** **Tooltip**（展示工具提示）: 当光标在该点上时，选中此框可以具有给定点的值的工具提示。

**____Desaturate map tiles____**

使地图的颜色变得饱和，以使标记更加清晰。

**WMS compliant map server**

 选中此框可启用符合 **Web **地图服务（**WMS**）标准的第三方地图服务。指定以下元素 : 

*   *   **WMS URL** :**WMS **地图服务的 **URL**。
    *   **WMS **层 : 在此可视化中使用的图层的逗号分隔列表。每个地图服务器都提供自己的图层列表。
    *   **WMS **版本 : 此地图服务使用的 **WMS **版本。
    *   **WMS **格式 : 该地图服务使用的图像格式。两种最常见的格式是 **`image/png `**和 **`image/jpeg`**。
    *   **WMS **归因 : 用于标识地图源的可选的用户定义字符串。地图会在右下角显示归因字符串。
    *   **WMS **样式 : 在此可视化中使用的样式的逗号分隔列表。每个地图服务器提供自己的样式选项。

更改选项后，单击 **Apply** **changes**（应用更改）按钮更新您的可视化，或灰色的 **Discard** **changes**（丢弃更改）按钮，使您的可视化状态保持当前状态。

#### Navigating the Map（导航到地图）

一旦您的 **tilemap **可视化准备就绪，您可以通过以下几种方式浏览地图 : 

*   点击并按住地图上的任意位置，然后移动光标移动地图中心。按住 **Shift **并在地图上拖动边框以放大选择。
*   单击 **Zoom** **In**/**Out**（放大/缩小）![](img/22f509eacf39238810e9d56295071631.jpg) 按钮可手动更改缩放级别。
*   单击 **Fit Data** **Bounds**（适合数据边界）![](img/5608ee441177f94b988a92f75b638873.jpg) 按钮，将地图边界自动裁剪为具有至少一个结果的地理细分桶。
*   单击 **Latitude**/**Longitude** **Filter**（纬度/经度过滤器）![](img/4dbbf419488ed703eeec975ff593888e.jpg) 按钮，然后在地图上拖动边界框，为框坐标创建一个过滤器。

#### 查看详细信息

要显示可视化后面的原始数据，请单击容器底部的栏。 标签栏有关于原始数据的详细信息的选项卡替换可视化

**Table.** 基础数据的表示，显示为分页数据网格。 您可以通过单击每个列顶部的表标题来对表中的项进行排序

**Request. **用于查询服务器的原始请求，以 **JSON **格式显示。

**Response.** 来自服务器的原始响应，以 **JSON **格式显示。

**Statistics. **与请求和响应相关的统计信息的摘要，以数据网格形式显示。 数据网格包括查询持续时间，

请求持续时间，在服务器上找到的记录的总数以及用于进行查询的索引模式

要将可视化后面的原始数据作为逗号分隔值（**CSV**）文件导出，请单击任何详

细信息选项卡底部的 **Raw**（原始）或 **Formatted**（格式化）链接。 原始导出包含存储在 **Elasticsearch **中的数据。 格式化导出包含任何适用的 **Kibana **字段格式化程序的结果。