# 使用 RPM 的方式安装 Kibana

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/rpm.html](https://www.elastic.co/guide/en/kibana/5.2/rpm.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159433](http://www.apache.wiki/pages/viewpage.action?pageId=8159433)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

这种针对 **RMP** 软件包的 **Kibana** 可以 [从我们的官网](https://www.elastic.co/guide/en/kibana/5.2/deb.html#install-deb) 或者 [RPM 仓库](https://www.elastic.co/guide/en/kibana/5.2/rpm.html#rpm-repo) 下载。它可用于在任何像 **OpenSuSE, SLES, CentOS, Red Hat **和 **Oracle 企业版 **这种基于 **RMP **系统的平台上安装 **Kibana**。

注意 :

**RPM** 的安装方式不支持一些像 **SLES** **11** 和 **CentOS5.5** 这样老版本的 **RPM** 系统。请参阅 [使用 .tar.gz 的方式安装 Kibana](/pages/viewpage.action?pageId=8159428) 中的安装方式。

最新稳定版的 **Kibana** 可以在 [下载 Kibana](https://www.elastic.co/downloads/kibana) 页面中找到。其它版本可以在 [历史版本页面](https://www.elastic.co/downloads/past-releases) 中找到。

### 导入 Elastic PGP KEY

我们使用 **Elastic****Signing** **Key**（**PGP** 密钥 **D88E42B4**，可从 [https://pgp.mit.edu](https://pgp.mit.edu/) 获取）签名所有的软件版，指纹如下 : 

```
4609 5ACC 8548 582C 1A26 99A9 D27D 666C D88E 42B4
```

下载并且安装公共的签名密钥 : 

```
rpm --import https://artifacts.elastic.co/GPG-KEY-elasticsearch
```

### 从 RPM 仓库安装

针对基于 **RedHat** 发布的系统在 **/etc/yum.repos.d/** 目录中创建一个名为 **kibana.repo** 的文件，或者针对在基于 **OpenSuSE** 发布的系统在 **/etc/zypp/repos.d/** 目录中创建对应的文件，内容如下 : 

```
[kibana-5.x]
name=Kibana repository for 5.x packages
baseurl=https://artifacts.elastic.co/packages/5.x/yum
gpgcheck=1
gpgkey=https://artifacts.elastic.co/GPG-KEY-elasticsearch
enabled=1
autorefresh=1
type=rpm-md
```

然后您的仓库就可以准备使用了。可以使用下列合适的命令来安装 Kibana : 

```
sudo yum install kibana # 1
sudo dnf install kibana # 2
sudo zypper install kibana # 3
```

| 1 | 在 **CentOS** 和其它较老的基于 **Red** **Hat** 发布的系统使用 **yum** 命令。 |
| 2 | 在 **Feeora** 和其它更新的 **Red Hat** 发布的系统使用 **dnf** 命令。 |
| 3 | 在基于 **OpenSUSE** 发布的系统上使用 **zupper** 命令。 |

### 手动下载以及安装 Debian 软件包

针对 **Kibana v5.2.2** 的 **RPM **软件包可以使用下面的命令从网站下载以及安装 : 

**64 位 : **

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-x86_64.rpm
sha1sum kibana-5.2.2-x86_64.rpm 
sudo rpm --install kibana-5.2.2-x86_64.rpm
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-x86_64.rpm.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |

****32 位 : ****

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-i686.rpm
sha1sum kibana-5.2.2-i686.rpm 
sudo rpm --install kibana-5.2.2-i686.rpm
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-i686.rpm.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |

### SysV init vs systemd

在安装之后 **Kibana** 并不会自动启动。如何去启动以及停止 **Kibana** 取决于系统是使用的 **SysV init** 还是 **systemd**（使用新的发行版）。您可以通过运行此命令来确定正在使用哪个 : 

```
ps -p 1
```

### 使用 SysV init 运行 Kibana

通过** chkconfig** 命令来配置 **Kibana** 以在系统启动时来自动运行 : 

```
sudo chkconfig --add kibana
```

可以使用 **service** 命令来启动或者停止 **Kibana** : 

```
sudo -i service kibana start
sudo -i service kibana stop
```

这些命令不提供关于 **Kibana** 是否成功启动的反馈。相反，这些信息将会写入位于 **/var/log/kibana/** 中的日志文件中。

### 使用 systemd 运行 Kibana

为了配置 **Kibana** 在系统启动时来自动运行，运行如下命令 : 

```
sudo /bin/systemctl daemon-reload
sudo /bin/systemctl enable kibana.service
```

可以使用如下命令来启动或者停止 **Kibana** : 

```
sudo systemctl start kibana.service
sudo systemctl stop kibana.service
```

这些命令不提供关于 **Kibana** 是否成功启动的反馈。相反，这些信息将会写入位于 **/var/log/kibana/** 中的日志文件中。

### 通过配置文件配置 Kibana

默认情况下 **Kibana **从** /etc/kibana/kibana.yml **加载它的配置。此配置文件的格式在 [配置 Kibana](/pages/viewpage.action?pageId=8159438) 中进行了说明。

### RPM 软件包的目录布局

该 **RPM **软件包针对基于 **RPM **的系统将配置文件，日志和数据目录放置在合适的位置 : 

| 类型 | 说明 | 默认位置 | 设置 |
| --- | --- | --- | --- |
| **home** | **Kibana** 主目录或者 `**$KIBANA_HOME**` | /usr/share/kibana |   |
| **bin** | 二进制脚本， 包括用于启动 **Kibana** **server** 的 **kibana** 和用于安装插件的 **`kibana-plugin`** | /usr/share/kibana/bin |   |
| **config** | 配置文件，包括 `**kibana.yml**。` | /etc/kibana |   |
| **data** | **Kibana** 以及它的插件写入磁盘的数据文件的位置。 | /var/lib/kibana |   |
| **optimize** | **Transpiled** 源代码。 某些管理操作（例如。插件安装）导致源代码被即时的 **retranspiled**。 | /usr/share/kibana/optimize |   |
| **plugins** | 插件文件位置. 每个插件将会包含在一个子目录中。 | /usr/share/kibana/plugins |   |