# 配置控制台

原文链接 : [https://www.elastic.co/guide/en/kibana/current/configuring-console.html](https://www.elastic.co/guide/en/kibana/current/configuring-console.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160077](http://www.apache.wiki/pages/viewpage.action?pageId=8160077)

贡献者 : [fucker](/display/~caizhongjie)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

你可以在 **config/kibana.yml** 文件中添加下列选项 : 

**console.enabled**

默认值 : **true **。设置为 **false** 来禁用控制台。切换这将导致服务器在下次启动时重新生成 **assets **，在页面开始提供服务之前可能造成延迟。

**console.proxyFilter**

默认值 : **.*** 。用于验证任何从控制台传出的请求的正则表达式列表。如果没有匹配，该请求将被拒绝。有关更多详细信息，请参阅 [安全控制台](http://www.apache.wiki/pages/viewpage.action?pageId=8160090)。

**console.proxyConfig**

一个基于目标代理的配置选项列表。用于设置特定的主机的自定义超时或 **SSL** 。这是通过定义一组使用通配符/展开通配符 的匹配条件，来核对每个请求。然后将所有匹配规则合并到一起来配置代理作用于该请求。

示例 : 

```
console.proxyConfig:
  - match:
      host: "*.internal.org" # allow any host that ends in .internal.org
      port: "{9200..9299}" # allow any port from 9200-9299

    ssl:
      ca: "/opt/certs/internal.ca"
      # "key" and "cert" are also valid options here

  - match:
      protocol: "https"

    ssl:
      verify: false # allows any certificate to be used, even self-signed certs

  # since this rule has no "match" section it matches everything
  - timeout: 180000 # 3 minutes
```