# 设置高级选项

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/advanced-options.html](https://www.elastic.co/guide/en/kibana/5.2/advanced-options.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160040](http://www.apache.wiki/pages/viewpage.action?pageId=8160040)

贡献者 : [小瑶](/display/~chenyao)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

**Advanced Settings**（高级设置页面）使您可以直接编辑控制 **Kibana** 应用程序行为的设置。例如，您可以更改用于显示日期的格式，指定默认索引模式（**index pattern**），并设置显示的十进制值的精度。

要设置高级选项：

1.  转到 "设置（**Settings**）" &gt; "高级（**Advanced**）" 。
2.  单击要修改的选项的 **Edit**（编辑）按钮。
3.  为选项输入新值。
4.  单击 **Save**（保存）按钮。

警告 :

修改以下设置会显著影响 **Kibana** 的性能，并导致难以诊断的问题。将属性值设置为空白字段（**blank**）将恢复为默认行为，这可能与其他配置设置不兼容。删除自定义设置将永久从 **Kibana** 中删除它。

## 表4\. Kibana 设置参考

| 设置 | 说明 |
| --- | --- |
| **query:queryString:options** | **Lucene** 查询字符串解析器的选项 |
| **sort:options** | **Elasticsearch** [排序（sort）](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-request-sort.html)参数的选项 |
| **dateFormat** | 用于显示漂亮格式的日期（**pretty-formatted dates**）的格式。 |
| **dateFormat:tz** |  **Kibana** 使用的时区。浏览器的默认值使用浏览器检测到的时区。 |
| **dateFormat:scaled** | 这些值定义用于呈现基于顺序的基于时间的数据的格式。格式化的时间戳必须适应测量之间的间隔。键为 [ISO8601 间隔](http://en.wikipedia.org/wiki/ISO_8601#Time_intervals)。 |
| **dateFormat:dow** | 这个属性定义星期应该从哪天开始。 |
| **defaultIndex** | 默认值为 **null** 。此属性指定默认索引。 |
| **defaultColumns** | 默认值为 **_source** 。在 "发现（**Discover**）"页面上定义默认显示的列。 |
| **metaFields** | **_source** 外部的字段数组。 **Kibana** 在显示文档时将这些字段合并到文档中。 |
| **discover:sampleSize** | 在 "发现（**Discover**）"表中显示的行数。 |
| **doc_table:highlight** | 突出显示 "发现（**Discover**）" 和 "已保存搜索结果仪表盘（**Saved Searches Dashboard**）"。突出显示会使处理大文档时请求缓慢。将此属性设置为 **false** 可禁用突出显示。 |
| **courier:maxSegmentCount** | **Kibana** 将 "发现（**Discover** ）" 应用程序中的请求拆分为多个段（**segments **），以限制发送到 **Elasticsearch**集群的请求的大小。此设置限制段列表（**segment list**）的长度。长段列表可以显著增加请求处理时间。 |
| **fields:popularLimit** | 这个设置控制显示多少个最受欢迎的字段。 |
| **histogram:barTarget** | 当日期直方图（**date histograms**）使用自动间隔（**auto interval**）时， **Kibana** 尝试生成此条数（**number of bars**）。 |
| **histogram:maxBars** | 日期直方图（**Date histograms**）不会生成比此属性的值更多的条形（**bars**），必要时缩小值（**scaling values**）。 |
| **visualization:tileMap:maxPrecision** | 在地图上显示的最大的 **geoHash** 精度：**7** 是高， **10** 是非常高，**12** 是最大。[单位尺寸说明](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-geohashgrid-aggregation.html#_cell_dimensions_at_the_equator)。 |
| **visualization:tileMap:WMSdefaults** | **tile map** 中 **WMS** 地图服务器（**WMS map server**）支持的默认属性。 |
| **visualization:colorMapping** | 将值映射（**Maps values**）到可视化（**visualizations**）内的指定颜色（**specified colors**）。 |
| **visualization:loadingDelay** | 在查询期间调暗可视化之前等待的时间。 |
| **csv:separator** | 用作导出值（**exported values**）的分隔符的字符串。 |
| **csv:quoteValues** | 将此属性设置为 **true** 以引用导出的值。 |
| **history:limit** | 在具有历史记录的字段（如查询输入）中，此属性的值限制显示多少最近的值。 |
| **shortDots:enable** | 将此属性设置为 **true** 可缩短可视化对象中的长字段名称。例如，**foo.bar.baz** 显示 **f.b.baz** 。 |
| **truncate:maxHeight** | 此属性指定单元格在表中所占的最大高度。值为 **0** 将禁用截断（**disables truncation**）。 |
| **indexPattern:fieldMapping:lookBack** | 此属性的值设置最近匹配模式的数量，以查询名称包含时间戳的索引模式的字段映射。 |
| **format:defaultTypeMap** | 每个字段类型的默认格式名称的映射。没有明确提到的字段类型使用 "**default**" 。 |
| **format:number:defaultPattern** | "数字（**number**）" 格式的默认数字格式（**Default numeral format**）。 |
| **format:bytes:defaultPattern** | "字节（**bytes**）" 格式的默认数字格式（**Default numeral format**）。 |
| **format:percent:defaultPattern** | "百分比（**percent**）" 格式的默认数字格式（**Default numeral format**）。 |
| **format:currency:defaultPattern** | "货币（**currency**）" 格式的默认数字格式（**Default numeral format**）。 |
| **savedObjects:perPage** | 显示在已保存对象列表的每个页面上的对象数。默认值为 **5** 。 |
| **timepicker:timeDefaults** | 默认时间过滤器选择（**time filter selection**）。 |
| **timepicker:refreshIntervalDefaults** | 时间过滤器默认刷新间隔（**refresh interval**）。 |
| **dashboard:defaultDarkTheme** | 将此属性设置为 **true** ，以使新仪表盘（**dashboards **）默认使用黑色主题。 |
| **filters:pinnedByDefault** | 将此属性设置为 **true** ，可使筛选器（**filters**）在默认情况下具有全局状态（**global state**）。 |
| **notifications:banner** | 您可以指定自定义横幅（**custom banner**）以向所有用户显示临时通知。此字段支持 **Markdown** 。 |
| **notifications:lifetime:banner** | 指定横幅通知显示的持续时间（以毫秒为单位）。默认为 **3000000** 。将此字段设置为 "无限（**Infinity**）" 以禁用横幅通知。 |
| **notifications:lifetime:error** | 指定错误通知显示的持续时间（以毫秒为单位）。默认值为 **300000** 。将此字段设置为 "无限（**Infinity**）"以禁用错误通知。 |
| **notifications:lifetime:warning** | 指定警告通知显示的持续时间（以毫秒为单位）。默认值为 **10000** 。将此字段设置为 "无限（**Infinity**）"以禁用警告通知。 |
| **notifications:lifetime:info** | 指定信息通知显示的持续时间（以毫秒为单位）。默认值为 **5000** 。将此字段设置为 "无限（**Infinity**）"以禁用信息通知。 |